[![](https://img.kancloud.cn/b0/e4/b0e42383e09aa96eecef5f7433913798_1200x90.jpg)](https://s.qiniu.com/yYJVNj) # :-: **教育开源版项目搭建** 注: 如果是专业后端开发人员, 推荐用原生Linux环境搭建, 本教程适合非专业开发人员. 注2:专业人士如果搭建出了问题请自行排查,并对照下面宝塔的文档看看你们是否漏了什么步骤 ## 一. **宝塔面板安装** **宝塔面板如何安装:** 官网:  [宝塔](https://www.bt.cn/) 安装教程: <a href="https://www.bt.cn/bbs/thread-19376-1-1.html](https://www.bt.cn/bbs/thread-19376-1-1.html" target="\_blank">宝塔安装</a> 安装命令: ``` yum install -y wget && wget -O install.sh http://download.bt.cn/install/install\_6.0.sh && sh install.sh ``` 等待命令执行完毕(如下图): ![](https://img.kancloud.cn/cb/00/cb007f5c680807acae9579812f177065_774x193.png) 上方图片:Bt-Panel-URL:中的地址就是宝塔登录页面,输入账号密码,点击登录 ![](https://img.kancloud.cn/8c/6d/8c6d9572cceebf4689cb24a86b1d08b3_734x572.png) **需要安装的软件(宝塔【软件商店】中查找安装):** 1.PHP7.0 ~ PHP7.1 需要安装的扩展:**(宝塔【PHP管理】【安装扩展】中安装)** ``` PDO PHP Extension MBstring PHP Extension CURL PHP Extension Mylsqi PHP Extension Redis PHP Extension fileinfo PHP Extension ``` 需要在宝塔软件商店安装的软件 Nginx1.16.1 Mysql5.7 Redis5.0 注意:redis需要配置密码并重新启动,配置位置如下图: ![](https://img.kancloud.cn/ff/d8/ffd81f6ee4271ce9810bf22812e2f5d7_431x397.png) ## 二. **添加站点** 1.登录宝塔,服务器公网地址ip,后面加:8888,例如 1.2.3.4:8888 (服务器公网地址IP可在**云服务器ECS → 实例**查看) 2.添加站点。点击左侧菜单**网站→添加站点** ![](https://img.kancloud.cn/fa/6a/fa6a95ecf9c423dd48945822915a7331_904x472.png) 3.**输入**你要绑定的**网站域名**,**创建FTP****(****用不到可以不创建)**,**创建MySQL数据库**。都填写后,点击**提交** ![](https://img.kancloud.cn/1c/ec/1cec9b37fcacd51ab260a02dd42e9a3c_1124x837.png) 4.**.****创建成功**,记得保存资料。 ![](https://img.kancloud.cn/0c/d3/0cd35e347e15468eed0ed7f144ac8356_766x438.png) 5.浏览器新建标签页,输入你刚绑定的域名,看是否可以打开,访问如出现此提示,创建成功 ![](https://img.kancloud.cn/14/90/149084c60dc52ce9a887d9317b54b060_708x454.png) 访问出现此提示,表示域名配置有问题。可以尝试刷新几遍,看是否配置未生效。 ![](https://img.kancloud.cn/1f/9b/1f9b6b9b463a41d658b991b88509b602_718x455.png) #### nginx thinkphp 静态化 **注: 静态化就是隐藏网站url的入口文件后缀, php项目一般是index.php** ![](https://img.kancloud.cn/c2/d3/c2d3bd7bad42c417be6eab9088672e58_785x724.png) 即添加以下内容 location / { if (!-e $request_filename){ rewrite ^(.*)$ /index.php?s=$1 last; break; } } ## NodeJS和PM2管理器 需求版本:PM2管理器 4.2.3 NodeJS版本10+ 目的:用于启动websocket程序 安装如下图: ![](https://img.kancloud.cn/4f/23/4f230d10a22c7225b7ca9d71323426eb_1735x378.png) [![](https://img.kancloud.cn/30/62/30621505ec4a2cd6681a53d767a4a517_1040x100.jpg)](https://s.qiniu.com/EfUj6z)